import Cookies from 'js-cookie'

const TokenKey = 'Admin-Token'
const UserIdKey = 'UserId'
const SecretKey = 'Secret'

export function getToken() {
  return Cookies.get(TokenKey)
}

export function setToken(token) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function getUserId() {
  return Cookies.get(UserIdKey)
}

export function setUserId(token) {
  return Cookies.set(UserIdKey, token)
}

export function removeUserId() {
  return Cookies.remove(UserIdKey)
}

export function getSecretKey() {
  return Cookies.get(SecretKey)
}

export function setSecretKey(token) {
  return Cookies.set(SecretKey, token)
}

export function removeSecretKey() {
  return Cookies.remove(SecretKey)
}
